<?php
function scris3($valoare,$valori_posibile,$valoare_predefinita="")
{
global$is_pc;
$scris3='<select name="'.$valoare;
if($is_pc=='1')
$scris3.='" ivalue="'.$valoare_predefinita.'" value="'.$valoare_predefinita;
$scris3.='">';
foreach(explode('::',$valori_posibile) AS$keie=>$valoare)
{
$valoarea=explode(',,',$valoare);
if(!isset($valoarea[1]))
$valoarea[1]=$valoarea[0];
if($valoarea[1]!='')
$scris3.='<option value="'.$valoarea[0].'"'.($valoarea[0]==$valoare_predefinita&&$is_pc>1?' selected="selected"':'').'>'.htmlspecialchars($valoarea[1]).'</option>';
}
return$scris3.'</select>';
}